SYMPA.CONF(5)

NAME
sympa.conf, robot.conf - Configuration file for default site and robot

DESCRIPTION
/var/sympa/etc/sympa.conf is main configuration file of Sympa. Several parameters definied in this file may be overridden by robot.conf configuration file for each robot.

Format of sympa.conf and robot.conf is as following:

•   Lines beginning with "#" and containing only spaces are ignored.

•   Each line has the form "parameter value". value may contain spaces but may not contain newlines.

Below is entire list of configuration parameters. For more details of each parameter see Reference Manual.

  Parameters
Site customization

domain
    (Mandatory) (Overridable by each robot.conf)

    Main robot hostname

    Example:

      domain domain.tld

host
    (Optioal) (Overridable by each robot.conf)

email
    (Default value: "sympa") (Overridable by each robot.conf)

    Local part of sympa email address

    Effective address will be [EMAIL]@[HOST]

gecos
    (Default value: "SYMPA") (Overridable by each robot.conf)

    Gecos for service mail sent by Sympa itself

    This parameter is used for display name in the "From:" header

listmaster
    (Mandatory) (Overridable by each robot.conf)

    Listmasters email list comma separated

    Example:

      listmaster your_email_address@domain.tld

    Sympa will associate listmaster privileges to these email addresses (mail and web interfaces). Some error reports may also be sent to these addresses.

listmaster_email
    (Default value: "listmaster") (Overridable by each robot.conf)

    Local part of listmaster email address

wwsympa_url
    (Mandatory) (Overridable by each robot.conf)

    URL of main Web page

    Example:

      wwsympa_url http://host.domain.tld/sympa

soap_url
    (Optioal) (Overridable by each robot.conf)

process_archive
    (Default value: "off") (Overridable by each robot.conf)

    Store distributed messages into archive

    This setting can be overridden by each list

voot_feature
    (Default value: "off")

max_wrong_password
    (Default value: 19) (Overridable by each robot.conf)

spam_protection
    (Default value: "javascript") (Overridable by each robot.conf)

web_archive_spam_protection
    (Default value: "cookie") (Overridable by each robot.conf)

color_0
    (Default value: "#F7F7F7") (Overridable by each robot.conf)

color_1
    (Default value: "#222222") (Overridable by each robot.conf)

color_2
    (Default value: "#004B94") (Overridable by each robot.conf)

color_3
    (Default value: "#5E5E5E") (Overridable by each robot.conf)

color_4
    (Default value: "#4c4c4c") (Overridable by each robot.conf)

color_5
    (Default value: "#0090E9") (Overridable by each robot.conf)

color_6
    (Default value: "#005ab2") (Overridable by each robot.conf)

color_7
    (Default value: "#fff") (Overridable by each robot.conf)

color_8
    (Default value: "#f2f6f9") (Overridable by each robot.conf)

color_9
    (Default value: "#bfd2e1") (Overridable by each robot.conf)

color_10
    (Default value: "#983222") (Overridable by each robot.conf)

color_11
    (Default value: "#66aaff") (Overridable by each robot.conf)

color_12
    (Default value: "#FFE7E7") (Overridable by each robot.conf)

color_13
    (Default value: "#f48A7b") (Overridable by each robot.conf)

color_14
    (Default value: "#ff9") (Overridable by each robot.conf)

color_15
    (Default value: "#fe57a1") (Overridable by each robot.conf)

dark_color
    (Default value: "silver") (Overridable by each robot.conf)

light_color
    (Default value: "#aaddff") (Overridable by each robot.conf)

text_color
    (Default value: "#000000") (Overridable by each robot.conf)

bg_color
    (Default value: "#ffffcc") (Overridable by each robot.conf)

error_color
    (Default value: "#ff6666") (Overridable by each robot.conf)

selected_color
    (Default value: "silver") (Overridable by each robot.conf)

shaded_color
    (Default value: "#66cccc") (Overridable by each robot.conf)

logo_html_definition
    (Optioal) (Overridable by each robot.conf)

favicon_url
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_1_title
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_1_url
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_1_target
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_2_title
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_2_url
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_2_target
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_3_title
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_3_url
    (Optioal) (Overridable by each robot.conf)

main_menu_custom_button_3_target
    (Optioal) (Overridable by each robot.conf)

css_path
    (Optioal) (Overridable by each robot.conf)

css_url
    (Optioal) (Overridable by each robot.conf)

static_content_path
    (Default value: "/var/www/sympa") (Overridable by each robot.conf)

    Directory for storing static contents (CSS, members pictures, documentation) directly delivered by HTTP server

static_content_url
    (Default value: "/static-sympa") (Overridable by each robot.conf)

    URL mapped with the static_content_path directory defined above

pictures_feature
    (Default value: "on")

pictures_max_size
    (Default value: 102400) (Overridable by each robot.conf)

cookie
    (Optioal)

    Secret used by Sympa to make MD5 fingerprint in web cookies secure

    Example:

      cookie 123456789

    Should not be changed ! May invalid all user password

create_list
    (Default value: "public_listmaster") (Overridable by each robot.conf)

    Value of this parameter is name of "create_list" scenario.

    Who is able to create lists

    This parameter is a scenario, check sympa documentation about scenarios if you want to define one

global_remind
    (Default value: "listmaster")

    Value of this parameter is name of "global_remind" scenario.

allow_subscribe_if_pending
    (Default value: "on") (Overridable by each robot.conf)

custom_robot_parameter
    (Optioal) (Overridable by each robot.conf)

    Used to define a custom parameter for your server. Do not forget the semicolon between the param name and the param value.

Directories

home
    (Default value: "/var/sympa/list_data")

    Directory containing mailing lists subdirectories

etc (Default value: "/etc")

    Directory for configuration files; it also contains scenari/ and templates/ directories

System related

syslog
    (Default value: "LOCAL1")

    Syslog facility for sympa

    Do not forget to edit syslog.conf

log_level
    (Default value: 0) (Overridable by each robot.conf)

    Log verbosity

    0: normal, 2,3,4: for debug

log_socket_type
    (Default value: "unix")

    Communication mode with syslogd (unix | inet)

log_condition
    (Optioal) (Overridable by each robot.conf)

log_module
    (Optioal) (Overridable by each robot.conf)

umask
    (Default value: 027)

    Umask used for file creation by Sympa

Sending related

sendmail
    (Default value: "/usr/sbin/sendmail")

    Path to the MTA (sendmail, postfix, exim or qmail)

    should point to a sendmail-compatible binary (eg: a binary named "sendmail" is distributed with Postfix)

sendmail_args
    (Default value: "-oi -odi -oem")

maxsmtp
    (Default value: 40)

    Max. number of Sendmail processes (launched by Sympa) running simultaneously

    Proposed value is quite low, you can rise it up to 100, 200 or even 300 with powerful systems.

merge_feature
    (Default value: "off")

automatic_list_removal
    (Default value: "none") (Overridable by each robot.conf)

automatic_list_feature
    (Default value: "off") (Overridable by each robot.conf)

automatic_list_creation
    (Default value: "public") (Overridable by each robot.conf)

    Value of this parameter is name of "automatic_list_creation" scenario.

automatic_list_families
    (Optioal) (Overridable by each robot.conf)

    Defines the name of the family the automatic lists are based on.

automatic_list_prefix
    (Optioal)

    Defines the prefix allowing to recognize that a list is an automatic list.

log_smtp
    (Default value: "off") (Overridable by each robot.conf)

use_blacklist
    (Default value: "send,create_list") (Overridable by each robot.conf)

    comma separated list of operations for which blacklist filter is applied

    Setting this parameter to "none" will hide the blacklist feature

reporting_spam_script_path
    (Optioal) (Overridable by each robot.conf)

    If set, when a list editor report a spam, this external script is run by wwsympa or sympa, the spam is sent into script stdin

max_size
    (Default value: 5242880) (Overridable by each robot.conf)

    Default maximum size (in bytes) for messages (can be re-defined for each list)

misaddressed_commands
    (Default value: "reject")

misaddressed_commands_regexp
    (Default value: "((subscribe\s+(\S+)|unsubscribe\s+(\S+)|signoff\s+(\S+)|set\s+(\S+)\s+(mail|nomail|digest))\s*)")

nrcpt
    (Default value: 25)

    Maximum number of recipients per call to Sendmail. The nrcpt_by_domain.conf file allows a different tuning per destination domain.

avg (Default value: 10)

    Max. number of different domains per call to Sendmail

alias_manager
    (Default value: "/usr/local/sbin/alias_manager.pl")

db_list_cache
    (Default value: "off")

    Whether or not to cache lists in the database

sendmail_aliases
    (Default value: "/var/sympa/sympa_aliases") (Overridable by each robot.conf)

    Path of the file that contains all list related aliases

aliases_program
    (Default value: "newaliases") (Overridable by each robot.conf)

    Program used to update alias database. "makemap", "newaliases", "postalias", "postmap" or full path to custom program

aliases_db_type
    (Default value: "hash") (Overridable by each robot.conf)

    Type of alias database. "btree", "dbm", "hash" and so on. Available when aliases_program is "makemap", "postalias" or "postmap"

rfc2369_header_fields
    (Default value: "help,subscribe,unsubscribe,post,owner,archive")

    Specify which rfc2369 mailing list headers to add

remove_headers
    (Default value: "X-Sympa-To,X-Family-To,Return-Receipt-To,Precedence,X-Sequence,Disposition-Notification-To,Sender")

    Specify header fields to be removed before message distribution

remove_outgoing_headers
    (Default value: "none")

reject_mail_from_automates_feature
    (Default value: "on")

    Reject mail from automates (crontab, etc) sent to a list?

ignore_x_no_archive_header_feature
    (Default value: "off")

anonymous_header_fields
    (Default value: "Authentication-Results,Disposition-Notification-To,DKIM-Signature,Injection-Info,Organisation,Organization,Original-Recipient,Originator,Path,Received,Received-SPF,Reply-To,Resent-Reply-To,Return-Receipt-To,X-Envelope-From,X-Envelope-To,X-Sender,X-X-Sender")

list_check_smtp
    (Optioal) (Overridable by each robot.conf)

    SMTP server to which Sympa verify if alias with the same name as the list to be created

    Default value is real FQDN of host. Set [HOST]:[PORT] to specify non-standard port.

list_check_suffixes
    (Default value: "request,owner,editor,unsubscribe,subscribe") (Overridable by each robot.conf)

list_check_helo
    (Optioal) (Overridable by each robot.conf)

    SMTP HELO (EHLO) parameter used for alias verification

    Default value is the host part of list_check_smtp parameter.

urlize_min_size
    (Default value: 10240) (Overridable by each robot.conf)

sender_headers
    (Default value: "From")

    Header field name(s) used to determine sender of the messages

    Example:

      sender_headers Resent-From,From,Return-Path

    "Return-Path" means envelope sender (a.k.a. "UNIX From") which will be alternative to sender of messages without "From" field. "Resent-From" may also be inserted before "From", because some mailers add it into redirected messages and keep original "From" field intact. In particular cases, "Return-Path" can not give right sender: several mail gateway products rewrite envelope sender and add original one as non-standard field such as "X-Envelope-From". If that is the case, you might want to insert it in place of "Return-Path".

Bulk mailer

sympa_packet_priority
    (Default value: 5) (Overridable by each robot.conf)

    Default priority for a packet to be sent by bulk.

bulk_fork_threshold
    (Default value: 1)

    Minimum number of packets in database before the bulk forks to increase sending rate

bulk_max_count
    (Default value: 3)

    Max number of bulks that will run on the same server

bulk_lazytime
    (Default value: 600)

    The number of seconds a slave bulk will remain running without processing a message before it spontaneously dies.

bulk_sleep
    (Default value: 1)

    The number of seconds a bulk sleeps between starting a new loop if it didn't find a message to send.

    Keep it small if you want your server to be reactive.

bulk_wait_to_fork
    (Default value: 10)

    Number of seconds a master bulk waits between two packets number checks.

    Keep it small if you expect brutal increases in the message sending load.

Quotas

default_max_list_members
    (Default value: 0) (Overridable by each robot.conf)

    Default limit for the number of subscribers per list (0 means no limit)

default_shared_quota
    (Optioal) (Overridable by each robot.conf)

    Default disk quota for shared repository

default_archive_quota
    (Optioal)

Spool related

spool
    (Default value: "/var/spool/sympa")

    Directory containing various specialized spools

    All spool are created at runtime by sympa.pl

queue
    (Default value: "/var/spool/sympa/msg")

    Directory for message incoming spool

queuemod
    (Default value: "/var/spool/sympa/moderation")

    Directory for moderation spool

queuedigest
    (Default value: "/var/spool/sympa/digest")

    Directory for digest spool

queueauth
    (Default value: "/var/spool/sympa/auth")

    Directory for authentication spool

queueoutgoing
    (Default value: "/var/spool/sympa/outgoing")

    Directory for archive spool

queuesubscribe
    (Default value: "/var/spool/sympa/subscribe")

    Directory for subscription spool

queuetopic
    (Default value: "/var/spool/sympa/topic")

    Directory for topic spool

queuebounce
    (Default value: "/var/spool/sympa/bounce")

    Directory for bounce incoming spool

queuetask
    (Default value: "/var/spool/sympa/task")

    Directory for task spool

queueautomatic
    (Default value: "/var/spool/sympa/automatic")

    Directory for automatic list creation spool

queuebulk
    (Default value: "/var/spool/sympa/bulk")

    Directory for message outgoing spool

sleep
    (Default value: 5)

    Must not be 0.

tmpdir
    (Default value: "/var/spool/sympa/tmp")

    Temporary directory used by antivirus plugins, MHonArc etc.

viewmail_dir
    (Default value: "/var/spool/sympa/viewmail")

    Directory containing HTML file generated by MHonArc while displaying messages other than archives

clean_delay_queue
    (Default value: 7)

clean_delay_queueoutgoing
    (Default value: 7)

clean_delay_queuebounce
    (Default value: 7)

clean_delay_queuemod
    (Default value: 30)

clean_delay_queueauth
    (Default value: 30)

clean_delay_queuesubscribe
    (Default value: 30)

clean_delay_queuetopic
    (Default value: 30)

clean_delay_queueautomatic
    (Default value: 10)

clean_delay_queuebulk
    (Default value: 7)

clean_delay_queuedigest
    (Default value: 14)

clean_delay_tmpdir
    (Default value: 7)

Internationalization related

supported_lang
    (Default value: "ca,cs,de,el,es,et,en-US,fr,fi,hu,it,ja,ko,nl,nb,oc,pl,pt-BR,ru,sv,tr,vi,zh-CN,zh-TW") (Overridable by each robot.conf)

    Supported languages

    This is the set of language that will be proposed to your users for the Sympa GUI. Don't select a language if you don't have the proper locale packages installed.

lang
    (Default value: "en-US") (Overridable by each robot.conf)

    Default language (one of supported languages)

    This is the default language used by Sympa

legacy_character_support_feature
    (Default value: "off")

    If set to "on", enables support of legacy character set

    See also charset.conf(5) manpage

filesystem_encoding
    (Default value: "utf-8")

Bounce related

verp_rate
    (Default value: "0%") (Overridable by each robot.conf)

welcome_return_path
    (Default value: "owner")

    Welcome message return-path ( unique | owner )

    If set to unique, new subcriber is removed if welcome message bounce

remind_return_path
    (Default value: "owner")

    Remind message return-path ( unique | owner )

    If set to unique, subcriber is removed if remind message bounce, use with care

return_path_suffix
    (Default value: "-owner")

bounce_path
    (Default value: "/usr/local/bounce")

    Directory for storing bounces

    Better if not in a critical partition

expire_bounce_task
    (Default value: "daily")

    Task name for expiration of old bounces

purge_orphan_bounces_task
    (Default value: "monthly")

eval_bouncers_task
    (Default value: "daily")

process_bouncers_task
    (Default value: "weekly")

minimum_bouncing_count
    (Default value: 10)

minimum_bouncing_period
    (Default value: 10)

bounce_delay
    (Default value: 0)

default_bounce_level1_rate
    (Default value: 45) (Overridable by each robot.conf)

default_bounce_level2_rate
    (Default value: 75) (Overridable by each robot.conf)

bounce_email_prefix
    (Default value: "bounce")

bounce_warn_rate
    (Default value: 30)

    Bouncing email rate for warn list owner

bounce_halt_rate
    (Default value: 50)

    Bouncing email rate for halt the list (not implemented)

    Not yet used in current version, Default is 50

tracking_default_retention_period
    (Default value: 90)

tracking_delivery_status_notification
    (Default value: "off")

tracking_message_disposition_notification
    (Default value: "off")

default_remind_task
    (Optioal)

Tuning

cache_list_config
    (Default value: "none")

    Use of binary version of the list config structure on disk (none | binary_file)

    Set this parameter to "binary_file" if you manage a big amount of lists (1000+); it should make the web interface startup faster

sympa_priority
    (Default value: 1) (Overridable by each robot.conf)

    Sympa commands priority

request_priority
    (Default value: 0) (Overridable by each robot.conf)

owner_priority
    (Default value: 9) (Overridable by each robot.conf)

default_list_priority
    (Default value: 5) (Overridable by each robot.conf)

    Default priority for list messages

parsed_family_files
    (Default value: "message.footer,message.header,message.footer.mime,message.header.mime,info") (Overridable by each robot.conf)

    comma-separated list of files that will be parsed by Sympa when instantiating a family (no space allowed in file names)

incoming_max_count
    (Default value: 1)

    Max number of daemons processing incoming spool that will run on the same server

Database related

update_db_field_types
    (Default value: "auto")

db_type
    (Default value: "mysql")

    Type of the database (mysql|Pg|Oracle|Sybase|SQLite)

    Be careful to the case

db_name
    (Default value: "sympa")

    Name of the database

    With SQLite, the name of the DB corresponds to the DB file

db_host
    (Default value: "localhost")

    Hostname of the database server

    Example:

      db_host localhost

db_port
    (Optioal)

    Port of the database server

db_user
    (Default value: "user_name")

    User for the database connection

    Example:

      db_user sympa

db_passwd
    (Default value: "user_password")

    Password for the database connection

    Example:

      db_passwd your_passwd

    What ever you use a password or not, you must protect the SQL server (is it not a public internet service ?)

db_timeout
    (Optioal)

db_options
    (Optioal)

db_env
    (Optioal)

    Environment variables setting for database

    This is useful for defining ORACLE_HOME

db_additional_subscriber_fields
    (Optioal)

    Database private extention to subscriber table

    Example:

      db_additional_subscriber_fields billing_delay,subscription_expiration

    You need to extend the database format with these fields

db_additional_user_fields
    (Optioal)

    Database private extention to user table

    Example:

      db_additional_user_fields age,address

    You need to extend the database format with these fields

purge_user_table_task
    (Default value: "monthly")

purge_spools_task
    (Default value: "daily")

purge_tables_task
    (Default value: "daily")

purge_logs_table_task
    (Default value: "daily")

logs_expiration_period
    (Default value: 3)

    Number of months that elapse before a log is expired

stats_expiration_period
    (Default value: 3)

    Number of months that elapse before statistics are expired

purge_one_time_ticket_table_task
    (Default value: "daily")

one_time_ticket_table_ttl
    (Default value: "10d")

purge_session_table_task
    (Default value: "daily")

session_table_ttl
    (Default value: "2d")

anonymous_session_table_ttl
    (Default value: "1h")

purge_challenge_table_task
    (Default value: "daily")

challenge_table_ttl
    (Default value: "5d")

default_ttl
    (Default value: 3600)

    Default timeout between two scheduled synchronizations of list members with data sources.

default_distribution_ttl
    (Default value: 300)

    Default timeout between two action-triggered synchronizations of list members with data sources.

default_sql_fetch_timeout
    (Default value: 300)

    Default timeout while performing a fetch for an include_sql_query sync

Loop prevention

loop_command_max
    (Default value: 200)

loop_command_sampling_delay
    (Default value: 3600)

loop_command_decrease_factor
    (Default value: 0.5)

loop_prevention_regex
    (Default value: "mailer-daemon|sympa|listserv|majordomo|smartlist|mailman") (Overridable by each robot.conf)

msgid_table_cleanup_ttl
    (Default value: 86400)

msgid_table_cleanup_frequency
    (Default value: 3600)

S/MIME configuration

capath
    (Optioal)

    Directory containing trusted CA certificates

cafile
    (Optioal)

    File containing trusted CA certificates

ssl_cert_dir
    (Default value: "/var/sympa/list_data/X509-user-certs")

    Directory containing user certificates

key_passwd
    (Optioal)

    Password used to crypt lists private keys

    Example:

      key_passwd your_password

DKIM

dkim_feature
    (Default value: "off") (Overridable by each robot.conf)

dkim_add_signature_to
    (Default value: "robot,list") (Overridable by each robot.conf)

    Insert a DKIM signature to message from the robot, from the list or both

dkim_signature_apply_on
    (Default value: "md5_authenticated_messages,smime_authenticated_messages,dkim_authenticated_messages,editor_validated_messages") (Overridable by each robot.conf)

    Type of message that is added a DKIM signature before distribution to subscribers. Possible values are "none", "any" or a list of the following keywords: "md5_authenticated_messages", "smime_authenticated_messages", "dkim_authenticated_messages", "editor_validated_messages".

dkim_private_key_path
    (Optioal) (Overridable by each robot.conf)

    Location of the file where DKIM private key is stored

dkim_signer_domain
    (Optioal) (Overridable by each robot.conf)

    The "d=" tag as defined in rfc 4871, default is virtual host domain name

dkim_selector
    (Optioal) (Overridable by each robot.conf)

    The selector

dkim_signer_identity
    (Optioal) (Overridable by each robot.conf)

    The "i=" tag as defined in rfc 4871, default is null

dmarc_protection_mode
    (Optioal) (Overridable by each robot.conf)

    Test mode(s) for DMARC Protection

    Example:

      dmarc_protection_mode dmarc_reject,dkim_signature

    Do not set unless you want to use DMARC protection. This is a comma separated list of test modes; if multiple are selected then protection is activated if ANY match. Do not use dmarc_* modes unless you have a local DNS cache as they do a DNS lookup for each received message.

dmarc_protection_domain_regex
    (Optioal) (Overridable by each robot.conf)

    Regexp for domain name match

    This is used for the "domain_regex" protection mode.

dmarc_protection_phrase
    (Default value: "name_via_list") (Overridable by each robot.conf)

    Pattern used to create new From header phrase

dmarc_protection_other_email
    (Optioal) (Overridable by each robot.conf)

    Email to use for replacement From header

Antivirus plug-in

antivirus_path
    (Optioal) (Overridable by each robot.conf)

    Path to the antivirus scanner engine

    Example:

      antivirus_path /usr/local/bin/clamscan

    supported antivirus: Clam AntiVirus/clamscan & clamdscan, McAfee/uvscan, Fsecure/fsav, Sophos, AVP and Trend Micro/VirusWall

antivirus_args
    (Optioal) (Overridable by each robot.conf)

    Antivirus plugin command argument

    Example:

      antivirus_args --no-summary --database /usr/local/share/clamav

antivirus_notify
    (Default value: "sender") (Overridable by each robot.conf)

    Notify sender if virus checker detects malicious content

    "sender" to notify originator of the message, "delivery_status" to send delivery status, or "none"

Tag based spam filtering

antispam_feature
    (Default value: "off") (Overridable by each robot.conf)

antispam_tag_header_name
    (Default value: "X-Spam-Status") (Overridable by each robot.conf)

    If a spam filter (like spamassassin or j-chkmail) add a smtp headers to tag spams, name of this header (example X-Spam-Status)

antispam_tag_header_spam_regexp
    (Default value: "^\s*Yes") (Overridable by each robot.conf)

    Regexp applied on this header to verify message is a spam (example Yes)

antispam_tag_header_ham_regexp
    (Default value: "^\s*No") (Overridable by each robot.conf)

    Regexp applied on this header to verify message is NOT a spam (example No)

spam_status
    (Default value: "x-spam-status") (Overridable by each robot.conf)

    Value of this parameter is name of "spam_status" scenario.

    Messages are supposed to be filtered by an antispam that add one more headers to messages. This parameter is used to select a special scenario in order to decide the message spam status: ham, spam or unsure. This parameter replace antispam_tag_header_name, antispam_tag_header_spam_regexp and antispam_tag_header_ham_regexp.

Web interface parameters

arc_path
    (Default value: "/usr/local/arc") (Overridable by each robot.conf)

    Directory for storing HTML archives

    Better if not in a critical partition

archive_default_index
    (Default value: "thrd")

    Default index organization when entering the web archive: either threaded or in chronological order

cookie_expire
    (Default value: 0)

    HTTP cookies lifetime

cookie_domain
    (Default value: "localhost") (Overridable by each robot.conf)

    HTTP cookies validity domain

cookie_refresh
    (Default value: 60)

    Average interval to refresh HTTP session ID.

custom_archiver
    (Optioal)

    Activates a custom archiver to use instead of MHonArc. The value of this parameter is the absolute path on the file system to the script of the custom archiver.

default_home
    (Default value: "home") (Overridable by each robot.conf)

    Type of main Web page ( lists | home )

edit_list
    (Default value: "owner")

ldap_force_canonical_email
    (Default value: 1) (Overridable by each robot.conf)

    When using LDAP authentication, if the identifier provided by the user was a valid email, if this parameter is set to false, then the provided email will be used to authenticate the user. Otherwise, use of the first email returned by the LDAP server will be used.

log_facility
    (Default value: "LOCAL1")

    Syslog facility for wwsympa, archived and bounced

    Default is to use previously defined sympa log facility.

mhonarc
    (Default value: "/usr/bin/mhonarc") (Overridable by each robot.conf)

    Path to MHonArc mail2html plugin

    This is required for HTML mail archiving

htmlarea_url
    (Optioal)

one_time_ticket_lifetime
    (Default value: "2d")

    duration before the one time tickets are expired

one_time_ticket_lockout
    (Default value: "one_time") (Overridable by each robot.conf)

    Is access to the one time ticket restricted, if any users previously accessed? (one_time | remote_addr | open)

password_case
    (Default value: "insensitive")

    Password case (insensitive | sensitive)

    Should not be changed ! May invalid all user password

review_page_size
    (Default value: 25) (Overridable by each robot.conf)

    Default number of lines of the array displaying users in the review page

title
    (Default value: "Mailing lists service") (Overridable by each robot.conf)

    Title of main Web page

use_html_editor
    (Default value: 0) (Overridable by each robot.conf)

    If set to "on", users will be able to post messages in HTML using a javascript WYSIWYG editor.

html_editor_url
    (Optioal) (Overridable by each robot.conf)

    URL path to the javascript file making the WYSIWYG HTML editor available. Relative path under <static_content_url> or absolute path

    Example:

      html_editor_url js/tinymce/tinymce.min.js

    Example is for TinyMCE 4 installed under <static_content_path>/js/tinymce/.

html_editor_init
    (Optioal) (Overridable by each robot.conf)

    Javascript excerpt that enables and configures the WYSIWYG HTML editor.

    Example:

      html_editor_init tinymce.init({selector:"#body",language:lang.split(/[^a-zA-Z]+/).join("_")});

use_fast_cgi
    (Default value: 1)

    Is FastCGI module for HTTP server installed (0 | 1)

    This module provide much faster web interface

viewlogs_page_size
    (Default value: 25) (Overridable by each robot.conf)

    Default number of lines of the array displaying the log entries in the logs page

http_host
    (Default value: "host.domain.tld") (Overridable by each robot.conf)

    Web domain of a virtual host

    Example:

      http_host host.domain.tld

password_validation
    (Optioal)

    The password validation techniques to be used against user passwords that are added to mailing lists. Options come from Data::Password (http://search.cpan.org/~razinf/Data-Password-1.07/Password.pm#VARIABLES)

    Example:

      password_validation MINLEN=8,GROUPS=3,DICTIONARY=4,DICTIONARIES=/pentest/dictionaries

FILES

/var/sympa/etc/sympa.conf
    Sympa main configuration file.

/etc/<robot name>/robot.conf
    Configuration specific to each virtual host.

SEE ALSO
Sympa, Mailing List Management Software - Reference Manual. <http://www.sympa.org/manual/>.